<?xml version="1.0" encoding="utf-8"?>
<odoo>
    <record id="inherit_view_roke_production_task_form" model="ir.ui.view">
        <field name="name">inherit.roke.production.form.view</field>
        <field name="model">roke.production.task</field>
        <field name="inherit_id" ref="roke_mes_production.view_roke_production_task_form"/>
        <field name="arch" type="xml">
            <xpath expr="//page/group[@name='attachment']" position="after">
                <field name="file_ids" widget="many2many_pic_preview" string="上传作业指导"/>
            </xpath>
            <xpath expr="//field[@name='sum_unqualified_qty']" position="after">
                <field name="taskName"/>
            </xpath>
            <xpath expr="//field[@name='pass_rate']" position="after">
                <field name="UploadMsg" readonly="1"/>
                <field name="work_order_hours" readonly="1"/>
            </xpath>
            <xpath expr="//field[@name='type']" position="after">
                <field name="spare_parts_qty"/>
                <field name="press_riveting_qty"/>
                <field name="bending_qty"/>
            </xpath>
            <xpath expr="//header" position="inside">
                <button name="upload_task" type="object" string="上传任务" class="btn btn-primary"
                        attrs="{'invisible': [('UploadMsg', '=', 'OK')]}"/>
                <field name="record_ids" invisible="1"/>
                <button name="craft_design" type="object" string="工艺设计" class="btn btn-primary"/>
            </xpath>
        </field>
    </record>
</odoo>



